local events = {
    'NAME_PLATE_CREATED'
}

local AddElements = function(plate)
    for _, v in pairs({plate.healthBar.border:GetRegions()}) do
        v:SetVertexColor(0.0627450980392157, 0.0627450980392157, 0.0627450980392157)
    end
end

local OnEvent = function(self, event, ...)
    if event == 'NAME_PLATE_CREATED' then
        local base = ...
        AddElements(base.UnitFrame)
    end
end

local  e = CreateFrame'Frame'
for _, v in pairs(events) do e:RegisterEvent(v) end
e:SetScript('OnEvent', OnEvent)
